{*
 * Zen
 *
 * @author    Zen
 * @copyright Copyright (c) 2021 Zen
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License ("AFL") v. 3.0
 *
 * https://www.zen.com/
*}

{capture name=path}{l s='Payment' mod='zencom'}{/capture}
<div class="text-center">
    <img src="{$base_dir|escape:'htmlall':'UTF-8'}modules/zencom/views/img/loading.gif"
         alt="Loading"
         style="margin:auto;display:block;"/>
    <br/>
    {$zen_msg_redirect_hint|escape:'htmlall':'UTF-8'}
</div>

<script type="text/javascript">
    var data = {html_entity_decode($data|escape:'htmlall':'UTF-8')};

    var formObject = data["formObject"];
    var formObjectKeys = Object.keys(formObject);

    var formURL = data["urlObject"];

    var form = document.createElement("form");
    form.method = "POST";
    form.action = data["urlObject"];

    for (var i = 0; i < Object.keys(formObject).length; i++) {
        var iteratorElement = formObjectKeys[i];

        if (formObject.hasOwnProperty(iteratorElement)) {
            var inputForm = document.createElement("input");
            inputForm.type = "hidden";
            inputForm.name = iteratorElement;
            inputForm.value = formObject[iteratorElement];

            form.appendChild(inputForm);
        }
    }

    document.body.appendChild(form);
    form.submit();
</script>
